package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState.context
import com.example.ellegadodepintia.exploradoresDePintia.model.GestorCombate
import com.example.ellegadodepintia.soundManager.SoundManager
class EfectoRegeneracionEnemigo(private val mensajeCuracion: String,private val cantidad: Int) : Efecto(100) {
    private lateinit var soundManager: SoundManager
    override fun ejecutar(): String {
        soundManager = SoundManager(context!!)
        GestorCombate.cargarAnimacionsRegeneracionEnemigo()
        soundManager.playSound(R.raw.sound_healing,100)
        GameState.eventoActual.actualizarResistencia(cantidad)

        return mensajeCuracion
    }
}